// Die drei Pyramiden aus dem ADA-Programm "pyrami_6.ada" sowie
// QuickBASIC-Programm 3D_GRAF.BAS mit LIB3D animiert
// (c) 1996 by Andreas Meile, HTL Brugg-Windisch
// Klasse 3 Ia  Datum: 30.11.1996

#include "lib3d.cpp"

int z=0;

void main() {
  szene3d s1;
  vektor3d l1(0.0, 0.0, 0.0),
           h1(0.0, 1.0, 0.0),
           e1(0.5, 0.0, 0.5),
           l2(-1.5, -0.3, 0.4),
           h2(0.4, 1.5, 0.1),
           e2(0.5, 0.0, 0.5),
           l3(1.7, 0.6, 0.6),
           h3(0.1, -0.2, -1.6),
           e3(0.7, 0.3, 0.0);

  s1.fuege_pyramide_ein(l1 + h1, e1 - h1, -h1, 4, 14);
  s1.fuege_pyramide_ein(l2 + h2, e2 - h2, -h2, 11, 12);
  s1.fuege_pyramide_ein(l3 + h3, e3 - h3, -h3, 5, 9);
  
  // Grafikmodus
  grafikmodus_ein();
  s1.zeige_an(l1, 5.4, 5.4);
  
  // Benutzer mit den Cursortasten "spielen" lassen
  while(s1.dyn_drehen() != 27);
  s1.entferne_am_bildschirm();

  grafikmodus_aus();
}
